
%define		module	pyirclib

Summary:	Python IRC library
Summary(pl.UTF-8):	Moduły Pythona do obsługi IRC
Name:		python-%{module}
Version:	0.4.3
Release:	7
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pyirclib/pyirclib-%{version}.tar.gz
# Source0-md5:	b9d60e69314a548dfd7d48da3d540d62
URL:		http://pyirclib.sourceforge.net/
BuildRequires:	python >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	%{module}

%description
pyirclib is a simple yet powerful IRC library written in Python. It's
intended audience are Python developers wanting to write their own IRC
programs.

%description -l pl.UTF-8
pyirclib jest prostą ale potężną biblioteką do obsługi IRC napisaną w
Pythonie.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README TODO example* *.html
%{py_sitescriptdir}/*.py[co]
%changelog
* Sun Nov 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyirclib.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cd926de
- release 7 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2909266
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2f58528
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c2bb8e0
- release 6

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 793f491
- release 5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9e29425
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 23faefa
- converted to UTF-8

* Sat Mar 05 2005 Michal Chruszcz <mchruszcz@gmail.com> 87488a8
- removed obsolete BR: rpm-pythonprov, rel 4

* Sat Dec 25 2004 saq <saq@pld-linux.org> 4ccb013
- release 3 for rebuild with python 2.4

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> c51e941
- spaces->tabs
- formatting

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> a2a95fd
- removed %%include /usr/lib/rpm/macros.python

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> d5c4a54
- Release: 2
- new architecture-independent python modules paths

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d5cfc8b
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1ca6c64
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Apr 08 2003 Jakub Bogusz <qboosh@pld-linux.org> 8d4d27c
- use http for sources from sourceforge

* Wed Jul 24 2002 marcus <marcus@pld-linux.org> 2b48187
- new version 0.4.3
- fixed Source0:

* Tue Jul 23 2002 marcus <marcus@pld-linux.org> 1bd2e1d
- use new %%doc
- rel.4.

* Sat Apr 13 2002 kloczek <kloczek@pld-linux.org> 581b7e0
- rebuild against pythin 2.2.1.

* Thu Apr 11 2002 wrobell <wrobell@pld-linux.org> e4ac1d7
- rel. 3, stb

* Thu Apr 11 2002 wrobell <wrobell@pld-linux.org> a432226
- use pyrequires_eq instead of requires_eq macro (massive attack!)

